Delete an incident rule

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

DELETE https://api.ap1.datadoghq.com/api/v2/incidents/config/rules/{rule_id}https://api.ap2.datadoghq.com/api/v2/incidents/config/rules/{rule_id}https://api.datadoghq.eu/api/v2/incidents/config/rules/{rule_id}https://api.ddog-gov.com/api/v2/incidents/config/rules/{rule_id}https://api.us2.ddog-gov.com/api/v2/incidents/config/rules/{rule_id}https://api.uk1.datadoghq.com/api/v2/incidents/config/rules/{rule_id}https://api.datadoghq.com/api/v2/incidents/config/rules/{rule_id}https://api.us3.datadoghq.com/api/v2/incidents/config/rules/{rule_id}https://api.us5.datadoghq.com/api/v2/incidents/config/rules/{rule_id}

Overview

Delete an incident rule. This endpoint requires any of the following permissions:

  • incident_settings_write
  • incident_notification_settings_write

  • OAuth apps require the incident_settings_write authorization scope to access this endpoint.

    Arguments

    Path Parameters

    Name

    Type

    Description

    rule_id [required]

    string

    The UUID of the incident rule.

    Response

    No Content

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Unauthorized

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Forbidden

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export rule_id="CHANGE_ME"
    # Curl command
    curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/rules/${rule_id}" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"